package gateway

import (
	"errors"

	"git.loafle.net/commons_go/rpc/protocol"
	"git.loafle.net/commons_go/rpc/server"
)

type RPCGetewayHandlers struct {
	server.RPCServerHandlers
}

func (rpcGH *RPCGetewayHandlers) Handle(codecReq protocol.ServerCodecRequest) (result interface{}, err error) {
	return nil, errors.New("RPC Gateway: Handler method[Handle] is not implement")
}

func (rpcGH *RPCGetewayHandlers) Validate() {
	rpcGH.RPCServerHandlers.Validate()
}
